Creates a routine policy.
POST
/v1/m/governance/routine-policies
const url = 'https://example.com/v1/m/governance/routine-policies';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"allowed_cron_patterns":["example"],"blocked_environments":["example"],"enabled":true,"max_active_routines":1,"max_cadence_seconds":0,"name":"example","require_approval":true,"scope_kind":"example","scope_ref":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/m/governance/routine-policies \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "allowed_cron_patterns": [ "example" ], "blocked_environments": [ "example" ], "enabled": true, "max_active_routines": 1, "max_cadence_seconds": 0, "name": "example", "require_approval": true, "scope_kind": "example", "scope_ref": "example" }'Creates a routine policy.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Header Parameters
Section titled “Header Parameters ” X-Olivares-Tenant
string format: uuid
Target tenant id; required when the principal can act in more than one tenant.
Request Body required
Section titled “Request Body required ” Media type application/json
object
allowed_cron_patterns
blocked_environments
max_cadence_seconds
name
required
Trimmed, credential-free policy name capped at 4096 bytes.
string
scope_kind
required
Case-insensitive after trimming: tenant, workspace, or user.
string
Responses
Section titled “ Responses ”OK
Media type application/json
object
Example generated
{}Bad request
Media type application/json
object
Example generated
{}Unauthenticated
Media type application/json
object
Example generated
{}Forbidden
Media type application/json
object
Example generated
{}Not found
Media type application/json
object
Example generated
{}Conflict / setup required
Media type application/json
object
Example generated
{}Rate limited
Media type application/json
object
Example generated
{}